package edu.stanford.db.rdf.syntax.strawman;

import org.w3c.rdf.model.*;

public class StrawArc {

  protected Resource predicate;
  protected Object object;

  public StrawArc(Resource predicate, Object object) {
    this.predicate = predicate;
    this.object = object;
  }

  public Resource predicate() {
    return predicate;
  }

  // may be StrawElement or Literal
  public Object object() {
    return object;
  }
}

