/* begin adoption from GRASS r.buffer module */

#include <stdio.h>
#include "buffer.h"
#include "distance.h"
#include "local_proto.h"

int execute_distance (int quiet)
{
    int row, col, nrows;
    MAPTYPE *ptr;

	/* find the first 1 in each row, and process that row */

    if ( ! quiet )
       fprintf (stderr, "Finding buffer zones ... ");
    nrows = 0;
    for (row = minrow; row <= maxrow; row++)
    {
	ptr = map + MAPINDEX(row,mincol);
	for (col = mincol; col <= maxcol; col++)
	{
	    if (*ptr++ == 1)
	    {
		process_row (row, col);
		break;
	    }
	}
    }
    return 0;
}

/* end adoption from GRASS r.buffer module */
