#include <stdio.h>
#include <memory.h>
#include <stdlib.h>
#include <time.h>
#include "raster.h"

int main()
{
	clock_t tb=clock();
    read_input("..\\HullPoint.txt", 12);    
	set_gridsize(20,20);
    double* g=get_boundary();
    double w=g[2]-g[0];
	double h=g[3]-g[1];
    double xmin=g[0]-w*0.5;
    double ymin=g[1]-h*0.5;
    double xmax=g[2]+w*0.5;
    double ymax=g[3]+h*0.5;
	set_boundary(xmin,ymin,xmax,ymax);
	perform_rasterization();
	write_output("..\\HullRaster0.txt");
	printf("Rasterization (include output) takes %10.3f seconds\n",(double)(clock()-tb)/CLOCKS_PER_SEC);
}
