package org.ecoinformatics.seek.datasource.eml.eml2;

import java.sql.SQLException;

import ptolemy.kernel.util.IllegalActionException;

abstract class Eml200OutputTypeBase {

	protected Eml200DataSource that;
	
	Eml200OutputTypeBase( Eml200DataSource t ) {
		that = t;
	}
	
	abstract void initialize() throws IllegalActionException;
	
	abstract void reconfigurePorts() throws IllegalActionException;

	abstract void fire() throws IllegalActionException;

	boolean postfire() throws IllegalActionException {
		return true;
	}
	
	public boolean prefire() throws IllegalActionException {
		return true;
	}

}
